Is there a possiblity to spin the camera 360° around an object without getting the ‘jump’ effect. I try this with front, right, back, left buttons and this works fine see exemple video1. But when I place the camera in an angle of 45° relative to the object every ‘camera stop’ creates a 'jumping effect see exemple video2.
PS: I’ve tried the advanced camera settings, but it’s the same effect.
The only way to get the desired result in SketchUp with native tools is to include camera positions at angles inbetween and create more scenes. The more scenes, the smoother and the less the “jump” effect will be noticed
Using positions at say each 45 degrees will make “jumping” hardly noticeable.
I have a simple Ruby script that can be pasted into the Ruby console. It starts with whatever view you have and creates 360 scenes at 1 degree intervals around the origin. Works in either isometric or perspective views:
c = Sketchup.active_model.active_view.camera
p = Sketchup.active_model.pages
e = c.eye
r = Geom::Transformation.rotation([0,0,0],[0,0,1],Math::PI / 180.0)
for i in 0...360
c.set(e,[0,0,0],[0,0,1])
p.add("Scene " + (i+1).to_s)
e.transform!(r)
end
jim, if I understand this script correct, is below correct for making scene every 2 degrees?
c = Sketchup.active_model.active_view.camera
p = Sketchup.active_model.pages
e = c.eye
r = Geom::Transformation.rotation([0,0,0],[0,0,1],Math::PI / 90.0)
for i in 0...180
c.set(e,[0,0,0],[0,0,1])
p.add("Scene " + (i+1).to_s)
e.transform!(r)
end
I just divided 180 and 360 by 2. My math isn’t so good, nor my programming.
I used this to create a super smooth video. I wanted a full rotation in 30 seconds at 60 frames per second, so 1,800 frames. I changed to code to rotate 0.2 degrees per iteration to get the 1,800 required scenes. It took a while to process, but it worked. Then I exported the animation as PNG files rather than creating a video. Then I imported into Premiere Pro CC as an image sequence, which assigns each numbered image to a single frame in order. The results were stellar!
I don’t see why not. However, I’m not a Vray expert. You end up with a number of images that each have to be rendered separately. I found this tutorial which uses only two scenes, but it explains the basics.
Thanks very useful.
Is there a way to limit the degrees so it doesn’t go around full 360deg on the object?
I tried changing the values and the only value I understand is the
for i in 0…360 = scene #
If it was possible to make it just go half circle on the object or even control it via number, that would be really helpful.